All pages
Powered by GitBook
1 of 1

Loading...

Create template

Create a template for a product.

post
Path parameters
productIdstringRequired
Body
namestring · min: 1Required
typestring · enumOptionalPossible values:
defaultboolean · nullableOptional
contentstring · min: 1Required
vendorstring · nullableOptional
Responses
201

Created

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
contentstringOptional
typestring · enumOptionalPossible values:
defaultboolean · nullableOptional
vendorstring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/catalog/products/{productId}/templates
POST /public/v1/catalog/products/{productId}/templates HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 104

{
  "name": "text",
  "type": "OrderProcessing",
  "default": true,
  "content": "text",
  "externalIds": {
    "vendor": "text"
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "content": "text",
  "type": "OrderProcessing",
  "default": true,
  "externalIds": {
    "vendor": "text"
  },
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  }
}